class Car
{
  //Data
  color c;
  PVector location;
  PVector velocity;
  float xSize;
  float ySize;
  
  //Constructor
  Car(color _c, float _xPos, float _yPos, float _xSize, float _ySize, float _xSpeed, float _ySpeed)
  {
    c = _c;
    location = new PVector(_xPos, _yPos);
    velocity = new PVector(_xSpeed, _ySpeed);
    xSize = _xSize; 
    ySize = _ySize;
  }
  
  //Functions
  void display()
  {
    rectMode(CENTER);
    fill(c);
    rect(location.x, location.y, xSize, ySize);
  }

  void drive()
  {
    location.add(velocity);
  }
  
  void checkEdges()
  {
    if (location.x > width) 
    {
      location.x = width;
      velocity.x = -velocity.x;
    } else if (location.x < 0) 
    {
      location.x = 0;
      velocity.x = -velocity.x;
    }
    
    if (location.y > height) 
    {
      location.y = height;
      velocity.y = -velocity.y;
    } else if (location.y < 0) 
    {
      location.y = 0;
      velocity.y = -velocity.y;
    }
  }
}

